<p align="center">
    <img src ="Resources/Logo.png" width=500 alt="SwiftKit Logo" title="SwiftKit" />
</p>

<p align="center">
    <img src="https://img.shields.io/github/v/release/danielsaidi/SwiftKit?color=%2300550&sort=semver" alt="Version" />
    <img src="https://img.shields.io/badge/platform-SwiftUI-red.svg" alt="Swift UI" />
    <img src="https://img.shields.io/badge/Swift-5.6-orange.svg" alt="Swift 5.6" />
    <img src="https://img.shields.io/github/license/danielsaidi/SwiftKit" alt="MIT License" />
    <a href="https://twitter.com/danielsaidi">
        <img src="https://img.shields.io/badge/contact-@danielsaidi-blue.svg?style=flat" alt="Twitter: @danielsaidi" />
    </a>
</p>


## About SwiftKit

SwiftKit adds extra functionality to the Swift programming language, like extensions to already existing types as well as completely new utilites, services, etc. 

You can explore the various sections in the [documentation][Documentation] and the demo app.



## Supported Platforms

SwiftKit supports `iOS 13`, `macOS 11`, `tvOS 13` and `watchOS 6`.



## Installation

SwiftKit can be installed with the Swift Package Manager:

```
https://github.com/danielsaidi/SwiftKit.git
```

or with CocoaPods:

```
pod DSSwiftKit
```

You can also clone the repository and build the library locally.



## Documentation

The [online documentation][Documentation] has articles, code examples etc. that let you overview the various parts of the library.

The online documentation is currently iOS-specific. To generate documentation for other platforms, open the package in Xcode, select a simulator then run `Product/Build Documentation`.



## Demo Application

This project has a demo app that lets you explore the library on iOS and macOS. To try it out, just open and run `Demo/Demo.xcodeproj`.



## Support

You can sponsor this project on [GitHub Sponsors][Sponsors] or get in touch for paid support.



## Contact

Feel free to reach out if you have questions or if you want to contribute in any way:

* E-mail: [daniel.saidi@gmail.com][Email]
* Twitter: [@danielsaidi][Twitter]
* Web site: [danielsaidi.com][Website]



## License

SwiftKit is available under the MIT license. See [LICENSE][License] file for more info.


[Email]: mailto:daniel.saidi@gmail.com
[Twitter]: http://www.twitter.com/danielsaidi
[Website]: http://www.danielsaidi.com
[Sponsors]: https://github.com/sponsors/danielsaidi

[Documentation]: https://danielsaidi.github.io/SwiftKit/documentation/swiftkit/
[Getting-Started]: https://danielsaidi.github.io/SwiftKit/documentation/swiftkit/getting-started
[License]: https://github.com/danielsaidi/SwiftKit/blob/master/LICENSE
